• 4075阅读
  • 2回复

[提问]BUS ERROR求救!! [复制链接]

上一主题 下一主题
离线davidkroenke
 
只看楼主 倒序阅读 楼主  发表于: 2012-03-02
— 本帖被 XChinux 从 论坛公告栏 移动到本区(2012-03-02) —
您好,我在mini2440上运行qt自带的小程序,显示bus error。。请问是什么原因呢?
交待一下我的开发环境:
宿主机:Fedora9
主机Gcc:gcc 版本 4.3.0 20080428 (Red Hat 4.3.0-8) (GCC)
交叉编译器:arm-linux-gcc-4.3.2 (友善光盘自带)

qt-embedded-linux-opensource-src-4.5.3.tar.gz   qt-x11-opensource-src-4.5.3.tar.gz
之后我试了我写的程序,同样出现bus error,不知道该怎么办了。。。另外我的开发板上有一个Qt4.6.3,里面有一些小的演示程序。不知道那个影不影响我Qt程序的移植呢?我是直接把qt-embedded-linux-opensource-src-4.5.3.tar.gz编译最后的可执行文件通过NFS烧到板子上去的,板子里面没有预装和我版本相同的Qt。
高手求救啊!!!
离线stevenfddx
只看该作者 1楼 发表于: 2012-03-14
楼主解决这个问题了吗?
离线liuzh_szz

只看该作者 2楼 发表于: 2013-04-23
最重要的是确保内核、根文件系统、编译器和sdk都是同一批次的版本。我曾经用了错误的根文件系统,导致hiplayer出现很诡异的错误。
快速回复
限100 字节
 
上一个 下一个